Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.store.hib
Class DbConfStoreConnectionFactory

    java.lang.Object
      org.apache.ode.store.hib.DbConfStoreConnectionFactory

All Implemented Interfaces:
  ConfStoreConnectionFactory, ProcessStoreTransactionProvider

    public class DbConfStoreConnectionFactory

extends java.lang.Object
implements ConfStoreConnectionFactory

Nested Class Summary
`static class` | `DbConfStoreConnectionFactory.DataSourceConnectionProvider`

Constructor Summary
`DbConfStoreConnectionFactory(javax.sql.DataSource ds, java.util.Properties initialProps, boolean createDatamodel, java.lang.String txFactoryClassName)`

Method Summary
`void` | `beginTransaction()`
`void` | `commitTransaction()`
`ConfStoreConnectionHib` | `getConnection()`
`void` | `rollbackTransaction()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbConfStoreConnectionFactory

    public DbConfStoreConnectionFactory(javax.sql.DataSource ds,
                                        java.util.Properties initialProps,
                                        boolean createDatamodel,
                                        java.lang.String txFactoryClassName)

Method Detail

### getConnection

    public ConfStoreConnectionHib getConnection()

  Specified by:
    `getConnection` in interface `ConfStoreConnectionFactory`

### beginTransaction

    public void beginTransaction()

  Specified by:
    `beginTransaction` in interface `ProcessStoreTransactionProvider`

### commitTransaction

    public void commitTransaction()

  Specified by:
    `commitTransaction` in interface `ProcessStoreTransactionProvider`

### rollbackTransaction

    public void rollbackTransaction()

  Specified by:
    `rollbackTransaction` in interface `ProcessStoreTransactionProvider`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD